Subject: bug#55527: 28.1; Clearer abbrev docstrings

From: Howard Melman <[email-masked]>
Date: Fri, 20 May 2022 09:12:20 -0400

Juri Linkov <[email-masked]> writes:

> The unhelpful abbrev docstrings and prompts is a known problem.

Thanks for saying so, I wasn't sure if I was the only one
confused by them.

> Recently I tried to ameliorate this problem by adding
> these new sections to the docstrings:

I saw these were added 9 months ago and they are indeed
helpful, thanks.

>> I think these would be clearer:
>>
>>     Use word(s) before point as the expansion of a new global abbrev.
>>     Use word before point as the abbreviation of a new global abbrev.
>>
>> [...]
>>
>> 	Global abbrev for expansion "foo":
>> 	Global expansion of abbrev "foo":
>
> Thanks, these and other such changes would be much of help.

Thanks for the confirmation.

-- 

Howard